com.smartgwt.client.widgets.grid.events

## Class ValueIconClickEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<ValueIconClickHandler>
      - - com.smartgwt.client.widgets.grid.events.ValueIconClickEvent

- All Implemented Interfaces:
    Cancellable

      public class ValueIconClickEvent
      extends AbstractSmartEvent<ValueIconClickHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueIconClickEvent(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Call this method to stop event bubbling
    `protected void` | `dispatch(ValueIconClickHandler handler)`
    `static <S extends HasValueIconClickHandlers & HasHandlers> void` | `fire(S source, JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `GwtEvent.Type<ValueIconClickHandler>` | `getAssociatedType()`
    `FormItem` | `getEditor()` If this cell is being `edited`, this method will fire when the user clicks the valueIcon on the edit item for the cell, passing in the editor item as the `editor` parameter.
    `ListGridField` | `getField()` the field that was clicked on (field definition)
    `java.lang.Object` | `getRawValue()` raw value of the cell (before valueMap, etc applied)
    `ListGridRecord` | `getRecord()` the record that was clicked on
    `int` | `getRecordNum()` number of the record clicked on in the current set of displayed records (starts with 0)
    `static GwtEvent.Type<ValueIconClickHandler>` | `getType()` Gets the type associated with this event.
    `ListGrid` | `getViewer()` the listGrid that contains the click event
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueIconClickEvent

          public ValueIconClickEvent(JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasValueIconClickHandlers & HasHandlers> void fire(S source,
                                                                     JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static GwtEvent.Type<ValueIconClickHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(ValueIconClickHandler handler)

      Specified by:
        `dispatch` in class `GwtEvent<ValueIconClickHandler>`

    - #### getAssociatedType

          public final GwtEvent.Type<ValueIconClickHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `GwtEvent<ValueIconClickHandler>`

    - #### cancel

          public void cancel()

      Call this method to stop event bubbling
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getViewer

          public ListGrid getViewer()

      the listGrid that contains the click event
      Returns:
        the listGrid that contains the click event

    - #### getRecord

          public ListGridRecord getRecord()

      the record that was clicked on
      Returns:
        the record that was clicked on

    - #### getRecordNum

          public int getRecordNum()

      number of the record clicked on in the current set of displayed records (starts with 0)
      Returns:
        number of the record clicked on in the current set of displayed records (starts with 0)

    - #### getField

          public ListGridField getField()

      the field that was clicked on (field definition)
      Returns:
        the field that was clicked on (field definition)

    - #### getRawValue

          public java.lang.Object getRawValue()

      raw value of the cell (before valueMap, etc applied)
      Returns:
        raw value of the cell (before valueMap, etc applied)

    - #### getEditor

          public FormItem getEditor()

      If this cell is being `edited`, this method will fire when the user clicks the valueIcon on the edit item for the cell, passing in the editor item as the `editor` parameter. If the cell is not being edited, this value will be null.
      Returns:
        If this cell is being ${isc.DocUtils.linkForRef('attr:ListGrid.canEdit','edited')}, this method will fire when the user clicks the valueIcon on the edit item for the cell, passing in the editor item as the `editor` parameter. If the cell is not being edited, this value will be null.